set EXEC_DIR=%~dp0
echo %EXEC_DIR%
set INSTALL_PATH=%EXEC_DIR%ServiceLauncher64.exe
set CLASSPATH=%EXEC_DIR%indexingSvcMix.jar
set JVM_PATH=%EXEC_DIR%JRE\bin\server\jvm.dll
ServiceLauncher64 //IS//SearchKunProIndexSrv --DisplayName="SearchKunProIndexSrv" --Install=%INSTALL_PATH% --Startup=auto --Jvm=%JVM_PATH% --StartMode=jvm --StopMode=jvm --Classpath=%CLASSPATH% --StartClass=IndexingService.SearchplusplusIndexSvcLauncher --StartMethod=startService --StopClass=IndexingService.SearchplusplusIndexSvcLauncher --StopMethod=stopService --LogPath=%EXEC_DIR% --LogLevel=Info --JvmMx=%1 --JvmMs=128 --JvmOptions=-Dfile.encoding=UTF8 --StdOutput= --StdError= 
runas /user:Administrator "SC failure SearchKunProIndexSrv reset= 3600 actions= restart/1000/restart/1000/restart/1000"
